std::time_get_byname< _CharT, _InIter >(3)

NAME
std::time_get_byname< _CharT, _InIter > -

SYNOPSIS

Inherits std::time_get< _CharT, _InIter >.

  Public Types
typedef basic_string< _CharT > __string_type
typedef _CharT char_type
enum dateorder { no_order, dmy, mdy, ymd, ydm }
typedef _InIter iter_type

  Public Member Functions
time_get_byname (const char *, size_t __refs=0)
dateorder date_order () const
iter_type get_date (iter_type __beg, iter_type __end, ios_base &__io, ios_base::iostate &__err, tm *__tm) const
iter_type get_monthname (iter_type __beg, iter_type __end, ios_base &__io, ios_base::iostate &__err, tm *__tm) const
iter_type get_time (iter_type __beg, iter_type __end, ios_base &__io, ios_base::iostate &__err, tm *__tm) const
iter_type get_weekday (iter_type __beg, iter_type __end, ios_base &__io, ios_base::iostate &__err, tm *__tm) const
iter_type get_year (iter_type __beg, iter_type __end, ios_base &__io, ios_base::iostate &__err, tm *__tm) const

  Static Public Attributes
static locale::id id

  Protected Member Functions
iter_type _M_extract_name (iter_type __beg, iter_type __end, int &__member, const _CharT **__names, size_t __indexlen, ios_base &__io, ios_base::iostate &__err) const
iter_type _M_extract_num (iter_type __beg, iter_type __end, int &__member, int __min, int __max, size_t __len, ios_base &__io, ios_base::iostate &__err) const
iter_type _M_extract_via_format (iter_type __beg, iter_type __end, ios_base &__io, ios_base::iostate &__err, tm *__tm, const _CharT *__format) const
iter_type _M_extract_wday_or_month (iter_type __beg, iter_type __end, int &__member, const _CharT **__names, size_t __indexlen, ios_base &__io, ios_base::iostate &__err) const
virtual dateorder do_date_order () const
virtual iter_type do_get_date (iter_type __beg, iter_type __end, ios_base &__io, ios_base::iostate &__err, tm *__tm) const
virtual iter_type do_get_monthname (iter_type __beg, iter_type __end, ios_base &, ios_base::iostate &__err, tm *__tm) const
virtual iter_type do_get_time (iter_type __beg, iter_type __end, ios_base &__io, ios_base::iostate &__err, tm *__tm) const
virtual iter_type do_get_weekday (iter_type __beg, iter_type __end, ios_base &, ios_base::iostate &__err, tm *__tm) const
virtual iter_type do_get_year (iter_type __beg, iter_type __end, ios_base &__io, ios_base::iostate &__err, tm *__tm) const

  Static Protected Member Functions
static __c_locale _S_clone_c_locale (__c_locale &__cloc) throw ()
static void _S_create_c_locale (__c_locale &__cloc, const char *__s, __c_locale __old=0)
static void _S_destroy_c_locale (__c_locale &__cloc)
static __c_locale _S_get_c_locale ()
static const char * _S_get_c_name () throw ()
static __c_locale _S_lc_ctype_c_locale (__c_locale __cloc, const char *__s)

Detailed Description

  template<typename _CharT, typename _InIter>class std::time_get_byname< _CharT, _InIter >
class time_get_byname [22.2.5.2].

Definition at line 686 of file locale_facets_nonio.h.

Member Function Documentation

  template<typename _CharT , typename _InIter > dateorder std::time_get< _CharT, _InIter >::date_order () const [inline], [inherited]

Return preferred order of month, day, and year. This function returns an enum from timebase::dateorder giving the preferred ordering if the format x given to time_put::put() only uses month, day, and year. If the format x for the associated locale uses other fields, this function returns timebase::dateorder::noorder.

NOTE: The library always returns noorder at the moment.

Returns:
    A member of timebase::dateorder.

Definition at line 407 of file locale_facets_nonio.h.

References std::time_get< _CharT, _InIter >::do_date_order().

  template<typename _CharT , typename _InIter > time_base::dateorder std::time_get< _CharT, _InIter >::do_date_order () const [protected], [virtual], [inherited]

Return preferred order of month, day, and year. This function returns an enum from timebase::dateorder giving the preferred ordering if the format x given to time_put::put() only uses month, day, and year. This function is a hook for derived classes to change the value returned.

Returns:
    A member of timebase::dateorder.

Definition at line 620 of file locale_facets_nonio.tcc.

Referenced by std::time_get< _CharT, _InIter >::date_order().

  template<typename _CharT , typename _InIter > _InIter std::time_get< _CharT, _InIter >::do_get_date (iter_type__beg, iter_type__end, ios_base &__io, ios_base::iostate &__err, tm *__tm) const [protected], [virtual], [inherited]

Parse input date string. This function parses a date according to the format X and puts the results into a user-supplied struct tm. This function is a hook for derived classes to change the value returned.

See Also:
    get_date() for details.

Parameters:
    __beg Start of string to parse.
    __end End of string to parse.
    __io Source of the locale.
    __err Error flags to set.
    __tm Pointer to struct tm to fill in.

Returns:
    Iterator to first char beyond date string.

Definition at line 1047 of file locale_facets_nonio.tcc.

References std::ios_base::_M_getloc(), and std::ios_base::eofbit.

Referenced by std::time_get< _CharT, _InIter >::get_date().

  template<typename _CharT , typename _InIter > _InIter std::time_get< _CharT, _InIter >::do_get_monthname (iter_type__beg, iter_type__end, ios_base &__io, ios_base::iostate &__err, tm *__tm) const [protected], [virtual], [inherited]

Parse input month string. This function parses a month name and puts the results into a user-supplied struct tm. This function is a hook for derived classes to change the value returned.

See Also:
    get_monthname() for details.

Parameters:
    __beg Start of string to parse.
    __end End of string to parse.
    __io Source of the locale.
    __err Error flags to set.
    __tm Pointer to struct tm to fill in.

Returns:
    Iterator to first char beyond month name.

Definition at line 1092 of file locale_facets_nonio.tcc.

References std::ios_base::_M_getloc(), std::ios_base::eofbit, std::ios_base::failbit, and std::ios_base::goodbit.

Referenced by std::time_get< _CharT, _InIter >::get_monthname().

  template<typename _CharT , typename _InIter > _InIter std::time_get< _CharT, _InIter >::do_get_time (iter_type__beg, iter_type__end, ios_base &__io, ios_base::iostate &__err, tm *__tm) const [protected], [virtual], [inherited]

Parse input time string. This function parses a time according to the format x and puts the results into a user-supplied struct tm. This function is a hook for derived classes to change the value returned.

See Also:
    get_time() for details.

Parameters:
    __beg Start of string to parse.
    __end End of string to parse.
    __io Source of the locale.
    __err Error flags to set.
    __tm Pointer to struct tm to fill in.

Returns:
    Iterator to first char beyond time string.

Definition at line 1030 of file locale_facets_nonio.tcc.

References std::ios_base::_M_getloc(), and std::ios_base::eofbit.

Referenced by std::time_get< _CharT, _InIter >::get_time().

  template<typename _CharT , typename _InIter > _InIter std::time_get< _CharT, _InIter >::do_get_weekday (iter_type__beg, iter_type__end, ios_base &__io, ios_base::iostate &__err, tm *__tm) const [protected], [virtual], [inherited]

Parse input weekday string. This function parses a weekday name and puts the results into a user-supplied struct tm. This function is a hook for derived classes to change the value returned.

See Also:
    get_weekday() for details.

Parameters:
    __beg Start of string to parse.
    __end End of string to parse.
    __io Source of the locale.
    __err Error flags to set.
    __tm Pointer to struct tm to fill in.

Returns:
    Iterator to first char beyond weekday name.

Definition at line 1064 of file locale_facets_nonio.tcc.

References std::ios_base::_M_getloc(), std::ios_base::eofbit, std::ios_base::failbit, and std::ios_base::goodbit.

Referenced by std::time_get< _CharT, _InIter >::get_weekday().

  template<typename _CharT , typename _InIter > _InIter std::time_get< _CharT, _InIter >::do_get_year (iter_type__beg, iter_type__end, ios_base &__io, ios_base::iostate &__err, tm *__tm) const [protected], [virtual], [inherited]

Parse input year string. This function reads up to 4 characters to parse a year string and puts the results into a user-supplied struct tm. This function is a hook for derived classes to change the value returned.

See Also:
    get_year() for details.

Parameters:
    __beg Start of string to parse.
    __end End of string to parse.
    __io Source of the locale.
    __err Error flags to set.
    __tm Pointer to struct tm to fill in.

Returns:
    Iterator to first char beyond year.

Definition at line 1120 of file locale_facets_nonio.tcc.

References std::ios_base::_M_getloc(), std::ios_base::eofbit, std::ios_base::failbit, and std::ios_base::goodbit.

Referenced by std::time_get< _CharT, _InIter >::get_year().

  template<typename _CharT , typename _InIter > iter_type std::time_get< _CharT, _InIter >::get_date (iter_type__beg, iter_type__end, ios_base &__io, ios_base::iostate &__err, tm *__tm) const [inline], [inherited]

Parse input date string. This function parses a date according to the format x and puts the results into a user-supplied struct tm. The result is returned by calling time_get::do_get_date().

If there is a valid date string according to format x, tm will be filled in accordingly and the returned iterator will point to the first character beyond the date string. If an error occurs before the end, err |= ios_base::failbit. If parsing reads all the characters, err |= ios_base::eofbit.

Parameters:
    __beg Start of string to parse.
    __end End of string to parse.
    __io Source of the locale.
    __err Error flags to set.
    __tm Pointer to struct tm to fill in.

Returns:
    Iterator to first char beyond date string.

Definition at line 456 of file locale_facets_nonio.h.

References std::time_get< _CharT, _InIter >::do_get_date().

  template<typename _CharT , typename _InIter > iter_type std::time_get< _CharT, _InIter >::get_monthname (iter_type__beg, iter_type__end, ios_base &__io, ios_base::iostate &__err, tm *__tm) const [inline], [inherited]

Parse input month string. This function parses a month name and puts the results into a user-supplied struct tm. The result is returned by calling time_get::do_get_monthname().

Parsing starts by parsing an abbreviated month name. If a valid abbreviation is followed by a character that would lead to the full month name, parsing continues until the full name is found or an error occurs. Otherwise parsing finishes at the end of the abbreviated name.

If an error occurs before the end, err |= ios_base::failbit. If parsing reads all the characters, err |= ios_base::eofbit.

Parameters:
    __beg Start of string to parse.
    __end End of string to parse.
    __io Source of the locale.
    __err Error flags to set.
    __tm Pointer to struct tm to fill in.

Returns:
    Iterator to first char beyond month name.

Definition at line 513 of file locale_facets_nonio.h.

References std::time_get< _CharT, _InIter >::do_get_monthname().

  template<typename _CharT , typename _InIter > iter_type std::time_get< _CharT, _InIter >::get_time (iter_type__beg, iter_type__end, ios_base &__io, ios_base::iostate &__err, tm *__tm) const [inline], [inherited]

Parse input time string. This function parses a time according to the format X and puts the results into a user-supplied struct tm. The result is returned by calling time_get::do_get_time().

If there is a valid time string according to format X, tm will be filled in accordingly and the returned iterator will point to the first character beyond the time string. If an error occurs before the end, err |= ios_base::failbit. If parsing reads all the characters, err |= ios_base::eofbit.

Parameters:
    __beg Start of string to parse.
    __end End of string to parse.
    __io Source of the locale.
    __err Error flags to set.
    __tm Pointer to struct tm to fill in.

Returns:
    Iterator to first char beyond time string.

Definition at line 431 of file locale_facets_nonio.h.

References std::time_get< _CharT, _InIter >::do_get_time().

  template<typename _CharT , typename _InIter > iter_type std::time_get< _CharT, _InIter >::get_weekday (iter_type__beg, iter_type__end, ios_base &__io, ios_base::iostate &__err, tm *__tm) const [inline], [inherited]

Parse input weekday string. This function parses a weekday name and puts the results into a user-supplied struct tm. The result is returned by calling time_get::do_get_weekday().

Parsing starts by parsing an abbreviated weekday name. If a valid abbreviation is followed by a character that would lead to the full weekday name, parsing continues until the full name is found or an error occurs. Otherwise parsing finishes at the end of the abbreviated name.

If an error occurs before the end, err |= ios_base::failbit. If parsing reads all the characters, err |= ios_base::eofbit.

Parameters:
    __beg Start of string to parse.
    __end End of string to parse.
    __io Source of the locale.
    __err Error flags to set.
    __tm Pointer to struct tm to fill in.

Returns:
    Iterator to first char beyond weekday name.

Definition at line 484 of file locale_facets_nonio.h.

References std::time_get< _CharT, _InIter >::do_get_weekday().

  template<typename _CharT , typename _InIter > iter_type std::time_get< _CharT, _InIter >::get_year (iter_type__beg, iter_type__end, ios_base &__io, ios_base::iostate &__err, tm *__tm) const [inline], [inherited]

Parse input year string. This function reads up to 4 characters to parse a year string and puts the results into a user-supplied struct tm. The result is returned by calling time_get::do_get_year().

4 consecutive digits are interpreted as a full year. If there are exactly 2 consecutive digits, the library interprets this as the number of years since 1900.

If an error occurs before the end, err |= ios_base::failbit. If parsing reads all the characters, err |= ios_base::eofbit.

Parameters:
    __beg Start of string to parse.
    __end End of string to parse.
    __io Source of the locale.
    __err Error flags to set.
    __tm Pointer to struct tm to fill in.

Returns:
    Iterator to first char beyond year.

Definition at line 539 of file locale_facets_nonio.h.

References std::time_get< _CharT, _InIter >::do_get_year().

Member Data Documentation

  template<typename _CharT , typename _InIter > locale::id std::time_get< _CharT, _InIter >::id [static], [inherited]

Numpunct facet id.

Definition at line 380 of file locale_facets_nonio.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.